ALTER TABLE [AKUZ].[T_APPOINTMENTS_FREQUENCY_DICTIONARY] ADD [Division] uniqueidentifier NULL

ALTER TABLE [AKUZ].[T_APPOINTMENTS_FREQUENCY_DICTIONARY] ADD CONSTRAINT [FK_T_DIVISION_T_APPOINTMENTS_FREQUENCY_DICTIONARY_Division]
FOREIGN KEY([Division]) REFERENCES [AKUZ].[T_DIVISION] ([DivisionID])
GO

update freq
set freq.Division = post.Division
from akuz.t_APPOINTMENTS_FREQUENCY_DICTIONARY freq
join akuz.t_RESOURCE post on post.ResourceID = freq.Post
go